Bug 23518 - Problem with borrower search autocomplete
Summary: Problem with borrower search autocomplete
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23405
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-29 08:35 UTC by Michal Denar
Modified: 2019-10-15 19:57 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23518: Problem with borrower search autocomplete (3.02 KB, patch)
2019-08-30 12:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23518: Problem with borrower search autocomplete (3.08 KB, patch)
2019-08-30 12:53 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23518: Problem with borrower search autocomplete (3.12 KB, patch)
2019-08-30 19:40 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 23518: Problem with borrower search autocomplete (3.18 KB, patch)
2019-09-01 20:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Denar 2019-08-29 08:35:46 UTC
Hi,
as result of bug 23405 we broke behaviour of autocomplete. If you select borrower from list with arrows on keyboard nothing selected. Select with mouse is ok.
Comment 1 Owen Leonard 2019-08-30 12:33:14 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2019-08-30 12:53:52 UTC Comment hidden (obsolete)
Comment 3 Michal Denar 2019-08-30 19:40:16 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2019-09-01 20:22:01 UTC
Seeing a sign off from Nick and Michal - should this not be PQA? Taking a quick look.
Comment 5 Katrin Fischer 2019-09-01 20:35:07 UTC
Created attachment 92524 [details] [review]
Bug 23518: Problem with borrower search autocomplete

This patch fixes a bug introduced by my patch for Bug 23405: Keyboard
navigation of patron autocomplete results was broken because I
incorrectly assumed that the autocomplete "select" action was redundant
because keyboard navigation would trigger the selected link. It doesn't!

This patch adds the "select" action back to the autocomplete
configuration, explicitly defining a redirect to match the URL which is
followed if the user uses the mouse to click a result.

To test you should have a patron in your database which has no card
number. Make sure CircAutocompl is enabled.

- From the circulation home page, type a patron name in the "Check out"
  form and wait for autocomplete search results to display.

- Making a selection from the autocomplete results should work by
  clicking with a mouse OR using the arrow keys and TAB or ENTER.

- Test with patrons with and without card numbers.

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2019-09-06 12:12:41 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-09-09 07:51:52 UTC
Pushed to 19.05.x for 19.05.04
Comment 8 Lucas Gass 2019-09-24 18:05:24 UTC
backported to 18.11.x for 18.11.10